import request from '@/utils/request'

// 查询列表
export function listOut(query) {
  return request({
    url: '/personnel/attendance/out/page',
    method: 'get',
    params: query
  })
}

// 查询详细
export function getOut(id) {
  return request({
    url: '/personnel/attendance/out/get?id=' + id,
    method: 'get'
  })
}

// 新增
export function addOut(data) {
  return request({
    url: '/personnel/attendance/out/create',
    method: 'post',
    data: data
  })
}

// 修改
export function updateOut(data) {
  return request({
    url: '/personnel/attendance/out/update',
    method: 'put',
    data: data
  })
}

// 删除
export function delOut(id) {
  return request({
    url: '/personnel/attendance/out/delete?id=' + id,
    method: 'delete'
  })
}

// 导出
export function exportOut(query) {
  return request({
    url: '/personnel/attendance/out/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}